Table of Contents

Class: RenderSession | Twisted-0.19.0/twisted/web/widgets.py
--- | ---
I handle rendering of a list of deferreds, outputting their results in correct order.
Methods |
--- | ---
__init__ _addDeferred callback keepRendering
| __init__
    __init__ (
            self,
            lst,
            request,
            )
| _addDeferred
    _addDeferred (
            self,
            deferred,
            lst,
            idx,
            )
| callback
    callback (
            self,
            result,
            sentinel,
            decNeedsHeaders,
            )
Exceptions |
--- | ---
'Sentinel for Deferred not found!'
| keepRendering
    keepRendering ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:39 2002 by HappyDoc version 2.0